GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentRequestData Class Reference

## Public Member Functions
Shipment | getShipment ()
void | setShipment (Shipment value)
PrintingOptions | getPrintingOptions ()
void | setPrintingOptions (PrintingOptions value)
CustomContent | getCustomContent ()
void | setCustomContent (CustomContent value)
ReturnOptions | getReturnOptions ()
void | setReturnOptions (ReturnOptions value)
String | getPartnerReference ()
void | setPartnerReference (String value)

## Protected Attributes
Shipment | shipment
PrintingOptions | printingOptions
CustomContent | customContent
ReturnOptions | returnOptions
String | partnerReference

## Detailed Description

Create shipment request attributes

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Shipment" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}Shipment"/>
            <element name="PrintingOptions" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}PrintingOptions"/>
            <element name="CustomContent" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}CustomContent" minOccurs="0"/>
            <element name="ReturnOptions" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}ReturnOptions" minOccurs="0"/>
          </sequence>
          <attribute name="PartnerReference" type="{http://fpcs.gls-group.eu/v1/Common}PartnerReference" />
        </restriction>
      </complexContent>
    </complexType>

Definition at line 49 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentRequestData.java.

## Member Function Documentation

## ◆ getCustomContent()

CustomContent eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentRequestData.getCustomContent | ( |  | ) |

Gets the value of the customContent property.

Returns
  possible object is CustomContent

Definition at line 118 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentRequestData.java.

## ◆ getPartnerReference()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentRequestData.getPartnerReference | ( |  | ) |

Gets the value of the partnerReference property.

Returns
  possible object is String

Definition at line 166 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentRequestData.java.

## ◆ getPrintingOptions()

PrintingOptions eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentRequestData.getPrintingOptions | ( |  | ) |

Gets the value of the printingOptions property.

Returns
  possible object is PrintingOptions

Definition at line 94 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentRequestData.java.

## ◆ getReturnOptions()

ReturnOptions eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentRequestData.getReturnOptions | ( |  | ) |

Gets the value of the returnOptions property.

Returns
  possible object is ReturnOptions

Definition at line 142 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentRequestData.java.

## ◆ getShipment()

Shipment eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentRequestData.getShipment | ( |  | ) |

Gets the value of the shipment property.

Returns
  possible object is Shipment

Definition at line 70 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentRequestData.java.

## ◆ setCustomContent()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentRequestData.setCustomContent | ( | CustomContent | value | ) |

Sets the value of the customContent property.

Parameters

  value | allowed object is CustomContent

Definition at line 130 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentRequestData.java.

## ◆ setPartnerReference()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentRequestData.setPartnerReference | ( | String | value | ) |

Sets the value of the partnerReference property.

Parameters

  value | allowed object is String

Definition at line 178 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentRequestData.java.

## ◆ setPrintingOptions()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentRequestData.setPrintingOptions | ( | PrintingOptions | value | ) |

Sets the value of the printingOptions property.

Parameters

  value | allowed object is PrintingOptions

Definition at line 106 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentRequestData.java.

## ◆ setReturnOptions()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentRequestData.setReturnOptions | ( | ReturnOptions | value | ) |

Sets the value of the returnOptions property.

Parameters

  value | allowed object is ReturnOptions

Definition at line 154 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentRequestData.java.

## ◆ setShipment()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentRequestData.setShipment | ( | Shipment | value | ) |

Sets the value of the shipment property.

Parameters

  value | allowed object is Shipment

Definition at line 82 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentRequestData.java.

## Member Data Documentation

## ◆ customContent

CustomContent eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentRequestData.customContent
| protected

Definition at line 56 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentRequestData.java.

## ◆ partnerReference

String eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentRequestData.partnerReference
| protected

Definition at line 60 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentRequestData.java.

## ◆ printingOptions

PrintingOptions eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentRequestData.printingOptions
| protected

Definition at line 54 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentRequestData.java.

## ◆ returnOptions

ReturnOptions eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentRequestData.returnOptions
| protected

Definition at line 58 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentRequestData.java.

## ◆ shipment

Shipment eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentRequestData.shipment
| protected

Definition at line 52 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentRequestData.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/shipmentprocessing/types/ShipmentRequestData.java